Author: aconway
Date: 2012-09-25 10:06:36 -0400 (Tue, 25 Sep 2012)
New Revision: 4513
Added:
store/trunk/cpp/tests/cluster/run_ha_tests
Log:
Added test script to run persistent qpid HA tests with a store enabled.
Added: store/trunk/cpp/tests/cluster/run_ha_tests
===================================================================
--- store/trunk/cpp/tests/cluster/run_ha_tests (rev 0)
+++ store/trunk/cpp/tests/cluster/run_ha_tests 2012-09-25 14:06:36 UTC (rev 4513)
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Copyright (c) 2008, 2009 Red Hat, Inc.
+#
+# This file is part of the Qpid async store library msgstore.so.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301
+# USA
+#
+# The GNU Lesser General Public License is available in the file COPYING.
+
+test -d "$QPID_DIR" || { echo "Skip ha tests, no qpid checkout at
$QPID_DIR"; exit 0; }
+test -d "$QPID_BLD" || { echo "Skip ha tests, no qpid build at
$QPID_BLD"; exit 0; }
+. $QPID_BLD/src/tests/test_env.sh
+export STORE_LIB="${abs_builddir}/../../lib/.libs/msgstore.so"
+TEST=ha_store_tests.py
+which $TEST > /dev/null || { echo "Skip ha tests, $TEST not found"; exit 0;
}
+exec $TEST
Property changes on: store/trunk/cpp/tests/cluster/run_ha_tests
___________________________________________________________________
Added: svn:executable
+ *
Show replies by date